diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/functions.inc b/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/functions.inc
index 6c5cfc6d..268e0370 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/functions.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/functions.inc
@@ -1,14 +1,12 @@
 <?php
 
-
 /**
  * @file
- * test script functions for testing ldap functionality outside of Drupal
- *
+ * Test script functions for testing ldap functionality outside of Drupal.
  */
 
 error_reporting(E_ALL | E_STRICT);
-set_time_limit (0);
+set_time_limit(0);
 ini_set("display_errors", 1);
 ini_set("max_execution_time", 0);
 
@@ -26,10 +24,11 @@ define('LDAP_COMPARE_FALSE', 0x05);
 define('LDAP_COMPARE_TRUE', 0x06);
 define('LDAP_AUTH_METHOD_NOT_SUPPORTED', 0x07);
 define('LDAP_STRONG_AUTH_REQUIRED', 0x08);
-//NotusedinLDAPv3);
+
+// Not used in LDAPv3.
 define('LDAP_PARTIAL_RESULTS', 0x09);
 
-//Next5newinLDAPv3);
+// Next 5 new in LDAPv3.
 define('LDAP_REFERRAL', 0x0a);
 define('LDAP_ADMINLIMIT_EXCEEDED', 0x0b);
 define('LDAP_UNAVAILABLE_CRITICAL_EXTENSION', 0x0c);
@@ -68,11 +67,12 @@ define('LDAP_NOT_ALLOWED_ON_RDN', 0x43);
 define('LDAP_ALREADY_EXISTS', 0x44);
 define('LDAP_NO_OBJECT_CLASS_MODS', 0x45);
 define('LDAP_RESULTS_TOO_LARGE', 0x46);
-//NexttwoforLDAPv3);
+
+// Next two for LDAPv3.
 define('LDAP_AFFECTS_MULTIPLE_DSAS', 0x47);
 define('LDAP_OTHER', 0x50);
 
-//UsedbysomeAPIs);
+// Used by some APIs.
 define('LDAP_SERVER_DOWN', 0x51);
 define('LDAP_LOCAL_ERROR', 0x52);
 define('LDAP_ENCODING_ERROR', 0x53);
@@ -84,7 +84,7 @@ define('LDAP_USER_CANCELLED', 0x58);
 define('LDAP_PARAM_ERROR', 0x59);
 define('LDAP_NO_MEMORY', 0x5a);
 
-//PreliminaryLDAPv3codes);
+// Preliminary LDAPv3 codes.
 define('LDAP_CONNECT_ERROR', 0x5b);
 define('LDAP_NOT_SUPPORTED', 0x5c);
 define('LDAP_CONTROL_NOT_FOUND', 0x5d);
@@ -93,20 +93,21 @@ define('LDAP_MORE_RESULTS_TO_RETURN', 0x5f);
 define('LDAP_CLIENT_LOOP', 0x60);
 define('LDAP_REFERRAL_LIMIT_EXCEEDED', 0x61);
 
-
-//error_reporting(E_ALL  &  ~E_NOTICE);
-
 define('LDAP_SCRIPTS_COMMAND_LINE_WARNING', "Warning: PHP from the command line may have different PHP versions, php.ini files, and security context than running in a webserver context. This may produce false test results since Drupal LDAP Modules are run in the web server context.");
 
-require_once('config.inc');
+require_once 'config.inc';
 
+/**
+ *
+ */
 function ldap_help_connect($address, $port, $tls, $test = FALSE) {
 
   if ($test) {
-    $false_con = ldap_connect("fakehostname.sdfserewerdfsdf.com", 389); // test for ldap extensions that don't actually connect until bind
+    // Test for ldap extensions that don't actually connect until bind.
+    $false_con = ldap_connect("fakehostname.sdfserewerdfsdf.com", 389);
     if (ldap_errno($false_con) == LDAP_SUCCESS) {
       $con = ldap_connect($address, $port);
-      return array(LDAP_OTHER, "ldap_connect does not actually connect until bind with installed extension, so connect is not a valid test.", $con);
+      return [LDAP_OTHER, "ldap_connect does not actually connect until bind with installed extension, so connect is not a valid test.", $con];
     }
   }
 
@@ -114,33 +115,39 @@ function ldap_help_connect($address, $port, $tls, $test = FALSE) {
 
   if (!$con || ldap_errno($con) != LDAP_SUCCESS) {
     $err = ldap_errno($con) . ":" . ldap_error($con) . ":" . ldap_err2str(ldap_errno($con)) . "!";
-    return array(LDAP_CONNECT_ERROR, "LDAP Connect failure to  $address : $port. $err");
+    return [LDAP_CONNECT_ERROR, "LDAP Connect failure to  $address : $port. $err"];
   }
 
   // Use TLS if we are configured and able to.
   if ($tls) {
     ldap_get_option($con, LDAP_OPT_PROTOCOL_VERSION, $vers);
     if ($vers == -1) {
-      return array(LDAP_PROTOCOL_ERROR, "Could not get LDAP protocol version.");
+      return [LDAP_PROTOCOL_ERROR, "Could not get LDAP protocol version."];
     }
     if ($vers != 3) {
-      return array(LDAP_CONNECT_ERROR, 'Could not start TLS, only supported by LDAP v3.');
+      return [LDAP_CONNECT_ERROR, 'Could not start TLS, only supported by LDAP v3.'];
     }
     elseif (!function_exists('ldap_start_tls')) {
-      return array(LDAP_CONNECT_ERROR, 'Could not start TLS. It does not seem to be supported by this PHP setup.');
+      return [LDAP_CONNECT_ERROR, 'Could not start TLS. It does not seem to be supported by this PHP setup.'];
     }
     elseif (!ldap_start_tls($con)) {
-      return array(LDAP_CONNECT_ERROR, "Could not start TLS. (Error " . ldap_errno($con) . ":" . ldap_error($con) . ").");
+      return [LDAP_CONNECT_ERROR, "Could not start TLS. (Error " . ldap_errno($con) . ":" . ldap_error($con) . ")."];
     }
   }
 
-  return array(LDAP_SUCCESS, "Successful Connection!", $con);
+  return [LDAP_SUCCESS, "Successful Connection!", $con];
 }
 
+/**
+ *
+ */
 function ldap_help_show_error($con) {
   return "\nLDAP Error Number: " . ldap_errno($con) . "\nLDAP Error Description: " . ldap_error($con);
 }
 
+/**
+ *
+ */
 function ldap_help_display($title, $value = NULL) {
   if (is_array($value)) {
     echo "\n" . $title;
@@ -151,7 +158,7 @@ function ldap_help_display($title, $value = NULL) {
   if (!$title && $value) {
     echo "\n" . $value;
   }
-  elseif ((int)$title === $title) {
+  elseif ((int) $title === $title) {
     echo "\n" . $value;
   }
   else {
@@ -159,12 +166,13 @@ function ldap_help_display($title, $value = NULL) {
   }
 
 }
+
 /**
  * Disconnect (unbind) from an active LDAP server.
  */
 function ldap_help_disconnect(&$con) {
   if (!$con) {
-    // never bound or not currently bound, so no need to disconnect
+    // Never bound or not currently bound, so no need to disconnect.
   }
   else {
     ldap_help_disconnect($con);
@@ -172,17 +180,21 @@ function ldap_help_disconnect(&$con) {
   }
 }
 
-/** parse php modules from phpinfo */
+/**
+ * Parse php modules from phpinfo .*/
 function ldap_help_parsePHPModules() {
   ob_start();
   phpinfo(INFO_MODULES);
   $s = ob_get_contents();
   ob_end_clean();
-  $matches = array();
+  $matches = [];
   preg_match_all("/(\nLDAP Support.*Vendor Version[^\n]*?).*$/iDsU", $s, $matches);
   return isset($matches[1][0]) ? "\nphpinfo() LDAP Info:" . $matches[1][0] : '';
 }
 
+/**
+ *
+ */
 function ldap_help_encodePassword($password) {
   $password = "\"" . $password . "\"";
   $encoded = "";
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/test.php b/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/test.php
index b7327661..285b5182 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/test.php
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_test_script/test.php
@@ -1,13 +1,12 @@
 <?php
 
-
 /**
  * @file
- * test script functions for testing ldap functionality outside of Drupal
- * see README.txt for instructions
+ * Test script functions for testing ldap functionality outside of Drupal
+ * see README.txt for instructions.
  */
 
-require_once('functions.inc');
+require_once 'functions.inc';
 
 $config = ldap_help_config();
 
@@ -26,7 +25,7 @@ if (!extension_loaded('ldap')) {
 foreach ($config['servers'] as $sid => $server) {
 
   /**
-   * Test LDAP Connect
+   * Test LDAP Connect.
    */
   $results = ldap_help_connect($server['server_address'], $server['server_port'], $server['server_tls'], TRUE);
   $test_name = "\"" . $sid . "\"";
@@ -40,7 +39,7 @@ foreach ($config['servers'] as $sid => $server) {
   ldap_help_display('anonymous bind', $anon_bind_text);
 
   ldap_help_display('connect result', $results[1]);
-  ldap_help_display('connect context', join("", array("server: ", $server['server_address'], ", port: ", $server['server_port'], ", tls= $tls")));
+  ldap_help_display('connect context', join("", ["server: ", $server['server_address'], ", port: ", $server['server_port'], ", tls= $tls"]));
   $con = FALSE;
   if ($results[0] == LDAP_SUCCESS) {
     $con = $results[2];
@@ -54,23 +53,23 @@ foreach ($config['servers'] as $sid => $server) {
   }
 
   /**
-   * Test LDAP Bind
+   * Test LDAP Bind.
    */
 
   ldap_help_display(NULL, "------------------------------------------\n$test_name bind\n------------------------------------------");
 
   if ($anon_bind) {
     if (@!ldap_bind($con)) {
-      $results = array(ldap_errno($con), "LDAP anonymous bind error." . ldap_help_show_error($con));
+      $results = [ldap_errno($con), "LDAP anonymous bind error." . ldap_help_show_error($con)];
     }
   }
   else {
     $bind_result = @ldap_bind($con, $server['server_bind_dn'], $server['server_bind_pw']);
     if (!$bind_result) {
-      $results = array(ldap_errno($con), "LDAP bind failure for user " . $server['server_bind_dn'] . "." . ldap_help_show_error($con));
+      $results = [ldap_errno($con), "LDAP bind failure for user " . $server['server_bind_dn'] . "." . ldap_help_show_error($con)];
     }
     else {
-      $results = array(LDAP_SUCCESS, "LDAP bind success.");
+      $results = [LDAP_SUCCESS, "LDAP bind success."];
     }
   }
 
@@ -81,7 +80,7 @@ foreach ($config['servers'] as $sid => $server) {
   }
 
   /**
-   * Test LDAP Queries
+   * Test LDAP Queries.
    */
   foreach ($server['test_queries'] as $query_id => $query) {
     ldap_help_display(NULL, "------------------------------------------\n$test_name query \"$query_id\" \n------------------------------------------");
@@ -97,9 +96,9 @@ foreach ($config['servers'] as $sid => $server) {
     if (!$query_result) {
       ldap_help_display(ldap_errno($con), "LDAP search failure for user $filter." . ldap_help_show_error($con));
     }
-    else {// display results
+    // Display results.
+    else {
       $entries = ldap_get_entries($con, $query_result);
-     // print_r($entries);
       ldap_help_display('search result');
       if (is_array($entries)) {
         $entry_count = $entries['count'];
@@ -127,8 +126,8 @@ foreach ($config['servers'] as $sid => $server) {
     }
   }
 
-   /**
-   * Test LDAP Provisioning
+  /**
+   * Test LDAP Provisioning.
    */
   foreach ($server['test_provisions'] as $provision_id => $provision) {
     ldap_help_display(NULL, "------------------------------------------\n$test_name provision \"$provision_id\"\n------------------------------------------");
@@ -151,7 +150,7 @@ foreach ($config['servers'] as $sid => $server) {
           }
         }
         else {
-          // no entry exists
+          // No entry exists.
         }
       }
     }
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/LdapQuery.class.php b/drupal7/sites/all/modules/ldap/ldap_query/LdapQuery.class.php
index 4ed4344f..ba07db88 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/LdapQuery.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_query/LdapQuery.class.php
@@ -3,11 +3,10 @@
 /**
  * @file
  * Defines server classes and related functions.
- *
  */
 
 /**
- * LDAP Server Class
+ * LDAP Server Class.
  *
  *  This class is used to create, work with, and eventually destroy ldap_server
  * objects.
@@ -15,19 +14,20 @@
  * @todo make bindpw protected
  */
 class LdapQuery {
-  // LDAP Settings
-
+  /**
+   * LDAP Settings.
+   */
   public $query_numeric_id;
   public $qid;
   public $name;
   public $sid;
   public $status;
 
-  public $baseDn = array();
+  public $baseDn = [];
   public $base_dn_str = NULL;
   public $filter;
   public $attributes_str = NULL;
-  public $attributes = array();
+  public $attributes = [];
 
   public $sizelimit = 0;
   public $timelimit = 0;
@@ -38,19 +38,18 @@ class LdapQuery {
   public $inDatabase = FALSE;
   public $detailedWatchdogLog = FALSE;
 
-
   /**
-   * Constructor Method
+   * Constructor Method.
    */
-  function __construct($qid) {
+  public function __construct($qid) {
     if (!is_scalar($qid)) {
       return;
     }
 
-    $query_records = array();
+    $query_records = [];
     if (module_exists('ctools')) {
       ctools_include('export');
-      $result = ctools_export_load_object('ldap_query', 'names', array($qid));
+      $result = ctools_export_load_object('ldap_query', 'names', [$qid]);
       if (isset($result[$qid])) {
         $query_record = $result[$qid];
         foreach ($query_record as $property_name => $value) {
@@ -71,45 +70,45 @@ class LdapQuery {
         return;
       }
       $query_record = $query_records[$qid];
-      foreach ($this->fields() as $field_id => $field ) {
+      foreach ($this->fields() as $field_id => $field) {
         if (isset($query_record->$field_id)) {
           $this->{$field['property_name']} = @$query_record->$field_id;
         }
       }
     }
 
-    // special properties that don't map directly from storage and defaults
+    // Special properties that don't map directly from storage and defaults.
     $this->inDatabase = TRUE;
     $this->detailedWatchdogLog = variable_get('ldap_help_watchdog_detail', 0);
 
     $this->baseDn = $this->linesToArray($this->base_dn_str);
-    $this->attributes = ($this->attributes_str) ? $this->csvToArray($this->attributes_str, TRUE) : array();
+    $this->attributes = ($this->attributes_str) ? $this->csvToArray($this->attributes_str, TRUE) : [];
 
   }
 
   /**
-   * Destructor Method
+   * Destructor Method.
    */
-  function __destruct() {
+  public function __destruct() {
 
   }
 
-
   /**
-   * Invoke Method
+   * Invoke Method.
    */
-  function __invoke() {
+  public function __invoke() {
 
   }
 
-//  function search($base_dn = NULL, $filter, $attributes = array(), $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = LDAP_DEREF_NEVER) {
-
-  function query() {
+  /**
+   * Function search($base_dn = NULL, $filter, $attributes = array(), $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = LDAP_DEREF_NEVER) {.
+   */
+  public function query() {
     ldap_servers_module_load_include('php', 'ldap_servers', 'LdapServer.class');
     $ldap_server = new LdapServer($this->sid);
     $ldap_server->connect();
     $ldap_server->bind();
-    $results = array();
+    $results = [];
 
     $count = 0;
 
@@ -133,22 +132,36 @@ class LdapQuery {
   protected $_hasError = FALSE;
   protected $_errorName = NULL;
 
+  /**
+   *
+   */
   public function setError($_errorName, $_errorMsgText = NULL) {
     $this->_errorMsgText = $_errorMsgText;
     $this->_errorName = $_errorName;
     $this->_hasError = TRUE;
   }
 
+  /**
+   *
+   */
   public function clearError() {
     $this->_hasError = FALSE;
     $this->_errorMsg = NULL;
     $this->_errorName = NULL;
   }
 
+  /**
+   *
+   */
   public function hasError() {
     return ($this->_hasError || $this->ldapErrorNumber());
   }
 
+  /**
+   * @param null $type
+   *
+   * @return string|null
+   */
   public function errorMsg($type = NULL) {
     if ($type == 'ldap' && $this->connection) {
       return ldap_err2str(ldap_errno($this->connection));
@@ -161,6 +174,11 @@ class LdapQuery {
     }
   }
 
+  /**
+   * @param null $type
+   *
+   * @return string|null
+   */
   public function errorName($type = NULL) {
     if ($type == 'ldap' && $this->connection) {
       return "LDAP Error: " . ldap_error($this->connection);
@@ -173,15 +191,16 @@ class LdapQuery {
     }
   }
 
+  /**
+   *
+   */
   public function ldapErrorNumber() {
-   // if ($this->connection && ldap_errno($this->connection)) {
-    //  return ldap_errno($this->connection);
-   // }
-   // else {
-      return FALSE;
-   // }
+    return FALSE;
   }
 
+  /**
+   *
+   */
   protected function linesToArray($lines) {
     $lines = trim($lines);
     if ($lines) {
@@ -191,11 +210,14 @@ class LdapQuery {
       }
     }
     else {
-      $array = array();
+      $array = [];
     }
     return $array;
   }
 
+  /**
+   *
+   */
   protected function csvToArray($string, $strip_quotes = FALSE) {
     $items = explode(',', $string);
     foreach ($items as $i => $item) {
@@ -207,47 +229,50 @@ class LdapQuery {
     return $items;
   }
 
+  /**
+   *
+   */
   public static function fields() {
-    $fields = array(
-      'query_numeric_id' => array(
-          'property_name' => 'query_numeric_id',
-          'schema' => array(
-            'type' => 'serial',
-            'unsigned' => TRUE,
-            'not null' => TRUE,
-            'description' => 'Primary ID field for the table.  Only used internally.',
-            'no export' => TRUE,
-          ),
-        ),
-
-      'qid' => array(
+    $fields = [
+      'query_numeric_id' => [
+        'property_name' => 'query_numeric_id',
+        'schema' => [
+          'type' => 'serial',
+          'unsigned' => TRUE,
+          'not null' => TRUE,
+          'description' => 'Primary ID field for the table.  Only used internally.',
+          'no export' => TRUE,
+        ],
+      ],
+
+      'qid' => [
         'property_name' => 'qid',
-        'schema' => array(
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'description' => 'Machine name for query.',
           'not null' => TRUE,
-          ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'basic',
           '#type' => 'textfield',
           '#title' => t('Machine name for this query configuration.'),
           '#size' => 20,
           '#maxlength' => 20,
-          '#description' => t('May only contain alphanumeric characters (a-z, A-Z, 0-9, and _)' ),
+          '#description' => t('May only contain alphanumeric characters (a-z, A-Z, 0-9, and _)'),
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'name' => array(
+      'name' => [
         'property_name' => 'name',
-        'schema' => array(
+        'schema' => [
           'type' => 'varchar',
           'length' => '60',
-          'not null' => TRUE
-        ),
-        'form' => array(
+          'not null' => TRUE,
+        ],
+        'form' => [
           'field_group' => 'basic',
           '#type' => 'textfield',
           '#title' => t('Name'),
@@ -255,50 +280,50 @@ class LdapQuery {
           '#size' => 50,
           '#maxlength' => 255,
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'sid' => array(
+      'sid' => [
         'property_name' => 'sid',
-        'schema' => array(
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'not null' => TRUE,
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'basic',
           '#type' => 'radios',
           '#title' => t('LDAP Server used for query.'),
           '#required' => 1,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'status' => array(
+      'status' => [
         'property_name' => 'status',
-        'schema' => array(
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'basic',
           '#type' => 'checkbox',
           '#title' => t('Enabled'),
           '#description' => t('Disable in order to keep configuration without having it active.'),
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'base_dn_str' => array(
+      'base_dn_str' => [
         'property_name' => 'base_dn_str',
-        'schema' => array(
+        'schema' => [
           'type' => 'text',
-          'not null' => FALSE
-        ),
-        'form' => array(
+          'not null' => FALSE,
+        ],
+        'form' => [
           'field_group' => 'query',
           '#type' => 'textarea',
           '#title' => t('Base DNs to search in query.'),
@@ -306,22 +331,22 @@ class LdapQuery {
           '#cols' => 50,
           '#rows' => 6,
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'baseDn' => array(
+      'baseDn' => [
         'property_name' => 'baseDn',
         'exportable' => FALSE,
-      ),
+      ],
 
-      'filter' => array(
+      'filter' => [
         'property_name' => 'filter',
-        'schema' => array(
+        'schema' => [
           'type' => 'text',
-          'not null' => FALSE
-        ),
-        'form' => array(
+          'not null' => FALSE,
+        ],
+        'form' => [
           'field_group' => 'query',
           '#type' => 'textarea',
           '#title' => t('Filter'),
@@ -330,41 +355,41 @@ class LdapQuery {
           '#cols' => 50,
           '#rows' => 1,
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'attributes_str' => array(
+      'attributes_str' => [
         'property_name' => 'attributes_str',
-        'schema' => array(
+        'schema' => [
           'type' => 'text',
-          'not null' => FALSE
-        ),
-        'form' => array(
+          'not null' => FALSE,
+        ],
+        'form' => [
           'field_group' => 'query',
           '#type' => 'textarea',
           '#title' => t('Attributes to return.'),
           '#description' => t('Enter as comma separated list. DN is automatically returned. Leave empty to return all attributes. e.g. <code>objectclass,name,cn,samaccountname</code>'),
           '#cols' => 50,
           '#rows' => 6,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'attributes' => array(
+      'attributes' => [
         'property_name' => 'attributes',
         'exportable' => FALSE,
-      ),
+      ],
 
-      'sizelimit' => array(
+      'sizelimit' => [
         'property_name' => 'sizelimit',
-        'schema' => array(
+        'schema' => [
           'type' => 'int',
           'size' => 'small',
           'not null' => TRUE,
           'default' => 0,
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'query_advanced',
           '#type' => 'textfield',
           '#title' => t('Size Limit of returned data'),
@@ -372,20 +397,20 @@ class LdapQuery {
           '#size' => 7,
           '#maxlength' => 5,
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'timelimit' => array(
+      'timelimit' => [
         'property_name' => 'timelimit',
-        'schema' => array(
+        'schema' => [
           'type' => 'int',
           'size' => 'small',
           'not null' => TRUE,
           'default' => 0,
 
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'query_advanced',
           '#type' => 'textfield',
           '#title' => t('Time Limit in Seconds'),
@@ -393,57 +418,56 @@ class LdapQuery {
           '#size' => 7,
           '#maxlength' => 5,
           '#required' => TRUE,
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-      'deref' => array(
+      'deref' => [
         'property_name' => 'deref',
-        'schema' => array(
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => LDAP_DEREF_NEVER,
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'query_advanced',
           '#type' => 'radios',
           '#title' => t('How aliases should be handled during the search.'),
           '#required' => 1,
-          '#options' => array(
+          '#options' => [
             LDAP_DEREF_NEVER => t('(default) aliases are never dereferenced.'),
             LDAP_DEREF_SEARCHING => t('aliases should be dereferenced during the search but not when locating the base object of the search.'),
             LDAP_DEREF_FINDING => t('aliases should be dereferenced when locating the base object but not during the search.'),
             LDAP_DEREF_ALWAYS => t('aliases should be dereferenced always.'),
-          ),
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
-     'scope' => array(
+          ],
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
+      'scope' => [
         'property_name' => 'scope',
-        'schema' => array(
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => LDAP_SCOPE_SUBTREE,
-        ),
-        'form' => array(
+        ],
+        'form' => [
           'field_group' => 'query_advanced',
           '#type' => 'radios',
           '#title' => t('Scope of search.'),
           '#required' => 1,
-          '#options' => array(
+          '#options' => [
             LDAP_SCOPE_BASE => t('BASE. This value is used to indicate searching only the entry at the base DN, resulting in only that entry being returned (keeping in mind that it also has to meet the search filter criteria!).'),
             LDAP_SCOPE_ONELEVEL => t('ONELEVEL. This value is used to indicate searching all entries one level under the base DN - but not including the base DN and not including any entries under that one level under the base DN.'),
             LDAP_SCOPE_SUBTREE => t('SUBTREE. (default) This value is used to indicate searching of all entries at all levels under and including the specified base DN.'),
-          ),
-        ),
-        'form_to_prop_functions' => array('trim'),
-      ),
+          ],
+        ],
+        'form_to_prop_functions' => ['trim'],
+      ],
 
-    );
+    ];
     return $fields;
   }
 
-
 }
